Doomsday Engine - Feature #1368

More Alt Start positions in Generators
2004-12-11 13:41 - danij

Status: New Start date: 2004-12-11
Priority: Low % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

Could the Alt Start mechanism used with particle

generators be changed to allow as many Alt Start

positions as needed? For example a gib explosion would

require several different types of particle. This would

allow many different model particles to share the same

generator, reducing the number of active generators

while also allowing much more detailed effects.

What | suggest is something like:

Generator {

ALT START = .4 // The randomness of this start position

Stage{ ... }

Stage{ ... }

Stage{ ... }

ALT END

ALT START = .6

Stagef ... }

Stage{ ... }

ALT END

}

Doomsday then picks one group of stages as a random alt

start.

Labels: Graphics

Related issues:

Related to Feature #1699: Particle renderer 2.0 New 2014-01-03

History

#1 - 2013-10-21 17:19 - skyjake

- Tags set to Particles

#2 - 2013-10-21 17:19 - skyjake

- Priority changed from Normal to Low

#3 - 2019-11-29 15:27 - skyjake
- Category set to Enhancement

- Target version set to Rendering

#4 - 2019-11-29 15:27 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added
